summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Capi X <capi_x@haibane.org>2019-11-02 01:13:24 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2019-11-02 01:13:24 +0700
commitfdf6869da608a7dcab49455a40d11863b4ddc38c (patch)
tree64217e17e1a1a457705a1c54cf8d6348642e82fd /audio
parentff09a30c9ca5ec8886b05b5c08bf11a482f9d225 (diff)
downloadslackbuilds-fdf6869da608a7dcab49455a40d11863b4ddc38c.tar.gz
slackbuilds-fdf6869da608a7dcab49455a40d11863b4ddc38c.tar.xz
audio/apulse: Added (PulseAudio emulation for ALSA).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/apulse/README15
-rw-r--r--audio/apulse/apulse.SlackBuild101
-rw-r--r--audio/apulse/apulse.info10
-rw-r--r--audio/apulse/libpulse.pc9
-rw-r--r--audio/apulse/libpulse64.pc9
-rw-r--r--audio/apulse/slack-desc19
6 files changed, 163 insertions, 0 deletions
diff --git a/audio/apulse/README b/audio/apulse/README
new file mode 100644
index 0000000000..75d2adf6df
--- /dev/null
+++ b/audio/apulse/README
@@ -0,0 +1,15 @@
+PulseAudio emulation for ALSA.
+
+The program provides an alternative partial implementation of the PulseAudio
+API. It consists of a loader script and a number of shared libraries with the
+same names as from original PulseAudio, so applications could dynamically load
+them and think they are talking to PulseAudio. Internally, no separate sound
+mixing daemon is used. Instead, apulse relies on ALSA's dmix, dsnoop, and plug
+plugins to handle multiple sound sources and capture streams running at the same
+time. dmix plugin muxes multiple playback streams; dsnoop plugin allow multiple
+applications to capture from a single microphone; and plug plugin transparently
+converts audio between various sample formats, sample rates and channel numbers.
+For more than a decade now, ALSA comes with these plugins enabled and configured
+by default. Cmake is required to build it.
+
+Note: It's recommended to uninstall PulseAudio before install apulse.
diff --git a/audio/apulse/apulse.SlackBuild b/audio/apulse/apulse.SlackBuild
new file mode 100644
index 0000000000..5694cca7b0
--- /dev/null
+++ b/audio/apulse/apulse.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for apulse
+# Copyright 2019 Capi X. <capi_x@haibane.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# 20191029 cpx:
+# - Initial version
+
+PRGNAM=apulse
+VERSION=${VERSION:-0.1.12}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+cmake ..
+make
+
+mkdir -p $PKG/usr/include
+cp -fra ../3rdparty/pulseaudio-headers/pulse $PKG/usr/include
+
+mkdir -p $PKG/usr/bin
+install -m755 apulse $PKG/usr/bin
+
+mkdir -p $PKG/usr/lib$LIBDIRSUFFIX
+cp -a libpulse*so* $PKG/usr/lib$LIBDIRSUFFIX
+
+mkdir -p $PKG/usr/share/pkgconfig
+install -m644 $CWD/libpulse$LIBDIRSUFFIX.pc $PKG/usr/share/pkgconfig/libpulse.pc
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $CWD/README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/apulse/apulse.info b/audio/apulse/apulse.info
new file mode 100644
index 0000000000..f785ec63f3
--- /dev/null
+++ b/audio/apulse/apulse.info
@@ -0,0 +1,10 @@
+PRGNAM="apulse"
+VERSION="0.1.12"
+HOMEPAGE="https://github.com/i-rinat/apulse"
+DOWNLOAD="https://github.com/i-rinat/apulse/archive/v0.1.12/apulse-0.1.12.tar.gz"
+MD5SUM="9745e6ee3391f44a30c6a7642de19186"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Capi X."
+EMAIL="capi_x@haibane.org"
diff --git a/audio/apulse/libpulse.pc b/audio/apulse/libpulse.pc
new file mode 100644
index 0000000000..4a25c323aa
--- /dev/null
+++ b/audio/apulse/libpulse.pc
@@ -0,0 +1,9 @@
+prefix=/usr
+exec_prefix=${prefix}
+libdir=/usr/lib
+includedir=${prefix}/include
+
+Name: libpulse
+Description: libpulse compiling helper for apulse users
+Version: 0.1.12
+Cflags: -I${includedir}
diff --git a/audio/apulse/libpulse64.pc b/audio/apulse/libpulse64.pc
new file mode 100644
index 0000000000..8021c4fa6e
--- /dev/null
+++ b/audio/apulse/libpulse64.pc
@@ -0,0 +1,9 @@
+prefix=/usr
+exec_prefix=${prefix}
+libdir=/usr/lib64
+includedir=${prefix}/include
+
+Name: libpulse
+Description: libpulse compiling helper for apulse users
+Version: 0.1.12
+Cflags: -I${includedir}
diff --git a/audio/apulse/slack-desc b/audio/apulse/slack-desc
new file mode 100644
index 0000000000..4f80739bb2
--- /dev/null
+++ b/audio/apulse/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+apulse: apulse (PulseAudio emulation for ALSA)
+apulse:
+apulse: The program provides an alternative partial implementation of the
+apulse: PulseAudio API. It consists of a loader script and a number of shared
+apulse: libraries with the same names as from original PulseAudio, so
+apulse: applications could dynamically load them and think they are talking
+apulse: to PulseAudio. Internally, no separate sound mixing daemon is used.
+apulse:
+apulse:
+apulse:
+apulse: